> For the complete documentation index, see [llms.txt](https://docs.lightningrod.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lightningrod.ai/readme.md).

# Developer Platform

{% columns %}
{% column valign="middle" %}

## ⚡ Get started in 10 minutes

Configure your use case and let us handle the nitty-gritty parts of the underlying infrastructure.

Our SDK handles the complete LLM pipeline end-to-end: from dataset generation, to training and inference.

<a href="https://dashboard.lightningrod.ai/?redirect=/api" class="button primary" data-icon="rocket-launch">Start with $50 Free</a> <a href="/spaces/oPvpfTi02msoJizpbecj/pages/7FvWQMF0kTK7HGhlQfmo" class="button secondary" data-icon="book-open">Quickstart</a>
{% endcolumn %}

{% column %}
{% code title="generate\_dataset.py" %}

```python
from datetime import datetime
import lightningrod as lr

answer_type = lr.BinaryAnswerType()
pipeline = lr.QuestionPipeline(
    seed_generator=lr.NewsSeedGenerator(
        start_date=datetime(2025, 1, 1),
        end_date=datetime(2025, 2, 1),
        search_query="AI regulation",
    ),
    question_generator=lr.ForwardLookingQuestionGenerator(
        instructions="Generate questions about future AI regulations and rulings",
        answer_type=answer_type,
    ),
    labeler=lr.WebSearchLabeler(answer_type=answer_type),
)

client = lr.LightningRod(api_key="your-api-key")
dataset = client.transforms.run(pipeline, max_questions=100)
```

{% endcode %}
{% endcolumn %}
{% endcolumns %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lightningrod.ai/readme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
